Package org.eclipse.rdf4j.sail.lucene.impl

## Class LuceneIndexNIOFS

- java.lang.Object
- - org.eclipse.rdf4j.sail.lucene.AbstractSearchIndex
  - - org.eclipse.rdf4j.sail.lucene.AbstractLuceneIndex
    - - org.eclipse.rdf4j.sail.lucene.impl.LuceneIndex
      - - org.eclipse.rdf4j.sail.lucene.impl.LuceneIndexNIOFS

- All Implemented Interfaces:
    `SearchIndex`

      public class LuceneIndexNIOFS
      extends LuceneIndex

  LuceneIndex which uses a NIOFSDirectory instead of MMapDirectory to avoid the JVM crash (see http:// stackoverflow.com/questions/8224843/jvm-crashes-on-lucene-datainput- readvint).
  Author:
    andriy.nikolov

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.sail.lucene.impl.LuceneIndex

      `currentMonitor`

    - ### Fields inherited from class org.eclipse.rdf4j.sail.lucene.AbstractLuceneIndex

      `oldmonitors`

    - ### Fields inherited from class org.eclipse.rdf4j.sail.lucene.AbstractSearchIndex

      `maxDocs, wktFields`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LuceneIndexNIOFS()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected org.apache.lucene.store.Directory` | `createDirectory​(Properties parameters)` |

    - ### Methods inherited from class org.eclipse.rdf4j.sail.lucene.impl.LuceneIndex

      `addContextField, addDocument, addIDField, addPredicateField, addResourceField, addStoredOnlyPredicateField, addTextField, begin, clear, clearContexts, commit, copyDocument, createAnalyzer, createSimilarity, createSpatialStrategyMapper, deleteDocument, geoQuery, geoRelationQuery, getAnalyzer, getCurrentMonitor, getDirectory, getDocument, getDocument, getDocument, getDocuments, getDocuments, getIndexReader, getIndexSearcher, getIndexWriter, getSnippet, getSpatialContext, getSpatialStrategyMapper, initialize, newBulkUpdate, newDocument, query, rollback, search, search, shutDown, updateDocument`

    - ### Methods inherited from class org.eclipse.rdf4j.sail.lucene.AbstractLuceneIndex

      `getOldMonitors`

    - ### Methods inherited from class org.eclipse.rdf4j.sail.lucene.AbstractSearchIndex

      `accept, addDocuments, addRemoveStatements, addStatement, evaluate, getIndexedTypeMapping, getResource, isGeoField, isIndexedTypeStatement, isTypeFilteringEnabled, isTypeStatement, parseLuceneQueryShape, parseQueryPoint, parseQueryShape, removeStatement`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LuceneIndexNIOFS

          public LuceneIndexNIOFS()

  - ### Method Detail

    - #### createDirectory

          protected org.apache.lucene.store.Directory createDirectory​(Properties parameters)
                                                               throws IOException

      Overrides:
        `createDirectory` in class `LuceneIndex`
      Throws:
        `IOException`